commit: 8111fc815735da6b9e23bc9e49a7246d0a14e66f
Author: Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 1 13:06:23 2014 +0000
Commit: Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Wed Oct 1 13:06:23 2014 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/mysql.git;a=commit;h=8111fc81
Add MySQL 5.7.5m15
---
dev-db/mysql/Manifest | 2 +-
dev-db/mysql/mysql-5.7.5_alpha_pre15.ebuild | 126 ++++++++++++++++++++++++++++
eclass/mysql-cmake.eclass | 2 +-
eclass/mysql-multilib.eclass | 6 +-
4 files changed, 131 insertions(+), 5 deletions(-)
diff --git a/dev-db/mysql/Manifest b/dev-db/mysql/Manifest
index 9bc9cc4..dec8675 100644
--- a/dev-db/mysql/Manifest
+++ b/dev-db/mysql/Manifest
@@ -4,9 +4,9 @@ DIST mysql-5.0.96.tar.gz 22686667 SHA256
43853814775158aa1650f483530a7dde1539575
DIST mysql-5.1.73.tar.gz 24023347 SHA256
05ebe21305408b24407d14b77607a3e5ffa3c300e03f1359d3066f301989dcb5 SHA512
2e3651ebc1370dad7e01158cdd99133ed3f90c985114766b6282d58b743ae7bce16db797e82819fa5bbc2fa53d89811fd76b278c7459338288e7957634a8c3ff
WHIRLPOOL
f47c3fe1cd98b8ca2163646c760bd9763c65eab0591b31fe30a8c55c72c8b10d7b549b394493695cf98f50999364409ef8158661141277e6d99b011835aef942
DIST mysql-5.5.39.tar.gz 21713567 SHA256
1893a00b034da6ff4159b81348388dc65eca6c3ae12962bd446e9b3d105b4862 SHA512
1da29663720d94cc5cf5d76f7bc1534c638ed66f78533f9eac167575acd772498d409b931a9dffd7f863a0c2e4659fc4d4687ae363ca427ad49b8558c8747aa8
WHIRLPOOL
be884564757bfe579cdd39161732d42abe041102162d2edd6c441214df2f3928a3e58d8e9acd7d06b96cb59be0fa28e05d8ae7cab0a6de4779ae9c79912f4d59
DIST mysql-5.5.40.tar.gz 21727672 SHA256
4d3721761a31c28866e8ee0fde47558a3e9047aaef3b89135ae8d45eebb74960 SHA512
9adc3c0ace48a84ee87fb7e1f36b2f3d3e5cd95d50ca3012828c7fb33b723cfbfdf85760a30ea38c719a90cc449613747e974768b7f0b070dc346e05a5c418b3
WHIRLPOOL
e8a5e8c6e4b816d935fd5368a9f38eaea23b1269c39e6ceed54c13bfaa85586ea81d1c4386f4f3d520cdb3d16b023afa3dab763629e388bc0759389e0eddec43
-DIST mysql-5.6.20.tar.gz 32979820 SHA256
4fc33b1a3ddb75fbc1cc30d0aba1af3d94c4fbe608048d46e34f39a8281a064d SHA512
c4bcc2a209616a38c04a4679cc7a76b354f0d7d3dda860b82b9cdb4746f897aa5c8204a440e1c65f55d81b2ac526b205dd0ba28786ba21778cc068efd71403ac
WHIRLPOOL
09cd264b098401cdde9e57fd1dcf90387cb6e5f24b874c220914c6afcc4f03bccec9cb4e83a9694e740ac0ea4e5cf37297fab60fdf4d6342df71b7e4f75590f8
DIST mysql-5.6.21.tar.gz 33009070 SHA256
ea4daf6a8f4b1a9c62e416249a08fbdcbf686667d738004ef82044def96feb7c SHA512
0a15c30d17324eb123d7953a2564fea43a3d288dfe098dc419096c40101f8ee2fe201dab1a4860158b72a259040cab7a45073576a1a24879b1e1dc9990c190bd
WHIRLPOOL
8a00b0fe04df901aece356f979e29b47c4361fa5e14ec76c36e0bc43da4049de265b547f9a27b6c948d5989c04a784c6dca547e86cc380bbb57d477b614f8e31
DIST mysql-5.7.4-m14.tar.gz 44115280 SHA256
3c6b29641b50c6622db31e3067e4b9ed542f620b55f44372f398040219349732 SHA512
7dea15db9a08a4b94272babd5d5d45ddf8a0bf932291d37c90c5f49962b2d2e732c37d3aeaecc445631d7c8a1ee9717e8561c1b2abf4f52d853ce2a06a715c1b
WHIRLPOOL
6738a6fbc1a71b6f8244ad5fbaa76facf55ec0cda6b78f5895f693f0b780582e89bab297e54bd16a17b6c8e88dcb3760f5d78ed2f776c769e7117991b50b153c
+DIST mysql-5.7.5-m15.tar.gz 46527024 SHA256
8f45d0a66952101a2c8490e833024f758aa4c6dce9ebc125ab8b472a72edc781 SHA512
301398a73d0c30afb2fe5628bde0e01d83daaacc2a0bedd323a4860680ae412f36fdd6a7146a78aeb0b0fa1d4394f5c5557ea2c891833c18179fb2490a35c339
WHIRLPOOL
32e181732b7c7a37fd830b9df92736e669decab681f6e9dbf0c6894d9b925dd09538cba4ddf3754e9e3c10baf0840aca9bf57332cdf15751555edbaff573027d
DIST mysql-extras-20070105.tar.bz2 50005 SHA256
17697bf70acffd0eeefd976b5ef06dd36080273bf7e805b51a31d72f5f2c5172 SHA512
65e8fd1f9cc71083dbcfaffc331171e0d7deedbd784e416a4b629139f71cc102a84fa62c2d9e48310a18571ef7f06153911ee75c5d7bb6ba88807c287e7cbf34
WHIRLPOOL
3f858fbed6f57ffac863c29bef09a658e3d9f57cf4c6b5c62537973ae44f217344a8592ad311b14b1e7e8d475434b3c69339a8d2873c498ba712ff6f5e128cec
DIST mysql-extras-20090228-2228Z.tar.bz2 254048 SHA256
03a986a5c5ae57f1436553565239613e978ae11e12834fcb275ec6457b12b6fb SHA512
b347c0894d45cff2c10e26c12d7586c335811b607cd760b48e51743e74c55ace820d2d50fac2ce72543c14b9b4d15afce336bd956ea8a820df4a651f23e3b79f
WHIRLPOOL
4d89a44791ec7e95baa3822bb62a3638c86d24bcfc777b9ff5a8d26020e7401159a3c03ebda9907fcbf02589b80726f2daa5bf2498d8e6e6e33540edf9b1d551
DIST mysql-extras-20120401-2131Z.tar.bz2 1835097 SHA256
95e531799ed267c566da8b0759da78d0351d6004c7c8a45018054e287a989495 SHA512
0625e1f06e04c7841256955950dd7766a5f03d4ade2aee3c13335f08acff374933ed1fd7ddea214eaaa3531d7373ef094734f5c00530555347f058f5ec4d9d36
WHIRLPOOL
f2c6e9387b38b609d3bfea83c6983c456d30a9dcf95c256a44402d4c63fa22543d55d6afa9b8dbf4238dcadf32fac3daec5031d50c8a4acf7a074d04fbede213
diff --git a/dev-db/mysql/mysql-5.7.5_alpha_pre15.ebuild
b/dev-db/mysql/mysql-5.7.5_alpha_pre15.ebuild
new file mode 100644
index 0000000..a4f6717
--- /dev/null
+++ b/dev-db/mysql/mysql-5.7.5_alpha_pre15.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+MY_EXTRAS_VER="20140424-1043Z"
+MY_PV="${PV//_alpha_pre/-m}"
+MY_PV="${MY_PV//_/-}"
+
+inherit toolchain-funcs mysql-multilib
+# only to make repoman happy. it is really set in the eclass
+IUSE="$IUSE"
+
+# Define the mysql-extras source
+EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
+
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86
~sparc-fbsd ~x86-fbsd ~x86-linux"
+
+# When MY_EXTRAS is bumped, the index should be revised to exclude these.
+EPATCH_EXCLUDE='20008_all_mysql-tzinfo-symlink.patch'
+
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+RDEPEND="${RDEPEND}"
+
+# Please do not add a naive src_unpack to this ebuild
+# If you want to add a single patch, copy the ebuild to an overlay
+# and create your own mysql-extras tarball, looking at 000_index.txt
+
+# Official test instructions:
+# USE='-cluster embedded extraengine perl ssl static-libs community' \
+# FEATURES='test userpriv -usersandbox' \
+# ebuild mysql-X.X.XX.ebuild \
+# digest clean package
+multilib_src_test() {
+
+ local TESTDIR="${CMAKE_BUILD_DIR}/mysql-test"
+ local retstatus_unit
+ local retstatus_tests
+
+ # Bug #213475 - MySQL _will_ object strenously if your machine is named
+ # localhost. Also causes weird failures.
+ [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
+
+ if ! use "minimal" ; then
+
+ if [[ $UID -eq 0 ]]; then
+ die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
+ fi
+ has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
+
+ einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
+ addpredict /this-dir-does-not-exist/t9.MYI
+
+ # Run CTest (test-units)
+ cmake-utils_src_test
+ retstatus_unit=$?
+ [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
+
+ # Ensure that parallel runs don't die
+ export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
+
+ # create directories because mysqladmin might right out of order
+ mkdir -p "${S}"/mysql-test/var-tests{,/log}
+
+ # create symlink for the tests to find mysql_tzinfo_to_sql
+ ln -s "${CMAKE_BUILD_DIR}/sql/mysql_tzinfo_to_sql" "${S}/sql/"
+
+ # These are failing in MySQL 5.5 for now and are believed to be
+ # false positives:
+ #
+ # main.information_schema,
binlog.binlog_statement_insert_delayed,
+ # main.mysqld--help-notwin, funcs_1.is_columns_mysql,
+ # funcs_1.is_tables_mysql, funcs_1.is_triggers,
+ # binlog.binlog_mysqlbinlog_filter, perfschema.binlog_edge_mix,
+ # perfschema.binlog_edge_stmt
+ # fails due to USE=-latin1 / utf8 default
+ #
+ # main.mysql_client_test:
+ # segfaults at random under Portage only, suspect resource
limits.
+ #
+ # main.mysql_tzinfo_to_sql_symlink
+ # fails due to missing mysql_test/std_data/zoneinfo/GMT file
from archive
+
+ for t in main.mysql_client_test \
+ binlog.binlog_statement_insert_delayed
main.information_schema \
+ main.mysqld--help-notwin funcs_1.is_columns_mysql \
+ funcs_1.is_tables_mysql funcs_1.is_triggers \
+ binlog.binlog_mysqlbinlog_filter
perfschema.binlog_edge_mix \
+ perfschema.binlog_edge_stmt
main.mysql_tzinfo_to_sql_symlink ; do
+ mysql-multilib_disable_test "$t" "False
positives in Gentoo"
+ done
+
+ # Run mysql tests
+ pushd "${TESTDIR}"
+
+ # Set file limits higher so tests run
+ ulimit -n 3000
+
+ # run mysql-test tests
+ perl mysql-test-run.pl --force
--vardir="${S}/mysql-test/var-tests" \
+ --suite-timeout=5000 --testcase-timeout=30
+ retstatus_tests=$?
+ [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
+ has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
+
+ popd
+
+ # Cleanup is important for these testcases.
+ pkill -9 -f "${S}/ndb" 2>/dev/null
+ pkill -9 -f "${S}/sql" 2>/dev/null
+
+ failures=""
+ [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
+ [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
+ has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
+
+ [[ -z "$failures" ]] || die "Test failures: $failures"
+ einfo "Tests successfully completed"
+
+ else
+
+ einfo "Skipping server tests due to minimal build."
+ fi
+}
diff --git a/eclass/mysql-cmake.eclass b/eclass/mysql-cmake.eclass
index c353e96..286fe04 100644
--- a/eclass/mysql-cmake.eclass
+++ b/eclass/mysql-cmake.eclass
@@ -419,7 +419,7 @@ mysql-cmake_src_install() {
esac
einfo "Building default my.cnf (${mysql_mycnf_version})"
insinto "${MY_SYSCONFDIR#${EPREFIX}}"
- doins "${S}"/scripts/mysqlaccess.conf
+ [[ -f "${S}/scripts/mysqlaccess.conf" ]] && doins
"${S}"/scripts/mysqlaccess.conf
mycnf_src="my.cnf-${mysql_mycnf_version}"
sed -e "s!@DATADIR@!${MY_DATADIR}!g" \
"${FILESDIR}/${mycnf_src}" \
diff --git a/eclass/mysql-multilib.eclass b/eclass/mysql-multilib.eclass
index ca4d6c3..cbf3fac 100644
--- a/eclass/mysql-multilib.eclass
+++ b/eclass/mysql-multilib.eclass
@@ -257,7 +257,7 @@ else
fi
if [[ ${PN} == "mysql" || ${PN} == "percona-server" ]] ; then
- mysql_version_is_at_least "5.7.5" && DEPEND="${DEPEND}
dev-libs/boost:0="
+ mysql_version_is_at_least "5.7.5" && DEPEND="${DEPEND}
>=dev-libs/boost-1.56.0:0="
fi
if [[ ${PN} == "mariadb" || ${PN} == "mariadb-galera" ]] ; then
@@ -506,14 +506,14 @@ multilib_src_configure() {
filter-flags "-O" "-O[01]"
CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
- CXXFLAGS="${CXXFLAGS} -felide-constructors -fno-rtti"
+ CXXFLAGS="${CXXFLAGS} -felide-constructors"
# Causes linkage failures. Upstream bug #59607 removes it
if ! mysql_version_is_at_least "5.6" ; then
CXXFLAGS="${CXXFLAGS} -fno-implicit-templates"
fi
# As of 5.7, exceptions are used!
if ! mysql_version_is_at_least "5.7" ; then
- CXXFLAGS="${CXXFLAGS} -fno-exceptions"
+ CXXFLAGS="${CXXFLAGS} -fno-exceptions -fno-rtti"
fi
export CXXFLAGS